=== debian/changelog ===
open-infrastructure-service-tools (20220105-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220105.
  * Updating packaging copyright for 2022.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jan 2022 08:07:31 +0100

open-infrastructure-service-tools (20211231-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211231.
  * Adding KEY_ALGO debconf handling in dehydrated-tools.
  * Updating control for vim-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Dec 2021 10:30:38 +0100

open-infrastructure-service-tools (20211213-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211213.
  * Removing superfluous debconf variables not used in dehydrated-tools
    config.
  * Removing wrongly transformation of debconf boolean for dehydrated
    register.
  * Adding dehydrated debconf question to run dehydrated.
  * Silencing downloading of tsig in dehydrated-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 13 Dec 2021 15:01:21 +0100

open-infrastructure-service-tools (20210928-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210928.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Sep 2021 21:14:38 +0200

open-infrastructure-service-tools (20210926-2) sid; urgency=medium

  * Uploading to sid.
  * Handling empty acme-challenges directory.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Sep 2021 16:45:34 +0200

open-infrastructure-service-tools (20210926-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210926.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Sep 2021 15:10:09 +0200
