=== debian/rules ===
#!/usr/bin/make -f

PACKAGES := $(shell dh_listpackages | cut -d '-' -f 3- | sed -e 's|-tools$$||')

%:
	dh ${@} --with apache2

override_dh_auto_build:
	# disabled

override_dh_auto_clean:
	for PACKAGE in $(PACKAGES); \
	do \
		$(MAKE) -C $${PACKAGE} clean; \
	done

override_dh_auto_install:
	for PACKAGE in $(PACKAGES); \
	do \
		$(MAKE) -C $${PACKAGE} DESTDIR=$(CURDIR)/debian/open-infrastructure-$${PACKAGE}-tools install; \
	done

	# apache-tools
	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/CHANGELOG.txt
	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/LICENSE.txt
	-mv debian/open-infrastructure-apache-tools/usr/share/doc/* debian/open-infrastructure-apache-tools/usr/share/doc/open-infrastructure-apache-tools
