=== debian/changelog ===
open-infrastructure-service-tools (20220704-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220704.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Jul 2022 19:14:00 +0200

open-infrastructure-service-tools (20220626-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220626.
  * Adding support for preseeding multiple certificates in dehydrated-
    tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Jun 2022 19:11:03 +0200

open-infrastructure-service-tools (20220624-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220624 (Closes: #1013624).
  * Adding dehydrated-tools TODO.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 24 Jun 2022 13:51:57 +0200

open-infrastructure-service-tools (20220615-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220615.
  * Avoid running linux-i40e automatically after installation and
    upgrades.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 17 Jun 2022 00:03:31 +0200

open-infrastructure-service-tools (20220614-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220614.
  * Simplifying rules file by removing overrides superseeded by upstream
    makefile.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 14 Jun 2022 13:54:48 +0200

open-infrastructure-service-tools (20220609-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220609.
  * Updating control for dnsdist-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 09 Jun 2022 16:20:48 +0200

open-infrastructure-service-tools (20220525-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220525.
  * Updating control for ethtool-tools rename.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 24 May 2022 11:37:52 +0200

open-infrastructure-service-tools (20220524-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220524.
  * Updating to standards version 4.6.1.
  * Updating control for ethtool-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 24 May 2022 06:17:17 +0200

open-infrastructure-service-tools (20220430-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220430.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 01 May 2022 00:02:39 +0200

open-infrastructure-service-tools (20220414-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220414.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 14 Apr 2022 22:15:08 +0200

open-infrastructure-service-tools (20220105-2) sid; urgency=medium

  * Uploading to sid.
  * Adding socat to knot-resolver-tools depends.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 27 Feb 2022 10:15:05 +0100
