=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  librsvg2-bin,
  python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://open-infrastructure.net/software/service-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
@@ -43,6 +43,19 @@
 # dehydrated,
 #Description: additional tools for dehydrated Letsencrypt client
 # This package contains additional tools for the dehydrated Letsencrypt client.
+
+#Package: open-infrastructure-dnsdist-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# dnsdist,
+# ${misc:Depends},
+#Provides:
+# dnsdist-tools,
+#Enhances:
+# dnsdist,
+#Description: additional tools for dnsdist
+# This package contains additional tools for the dnsdist.
 
 #Package: open-infrastructure-git-tools
 #Section: admin
@@ -88,6 +101,7 @@
 #Architecture: all
 #Depends:
 # knot-resolver,
+# socat,
 # ${misc:Depends},
 #Provides:
 # knot-resolver-tools,
@@ -95,6 +109,19 @@
 # knot-resolver,
 #Description: additional tools for knot DNS resolver
 # This package contains additional tools for the knot DNS resolver.
+
+#Package: open-infrastructure-linux-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# ethtool,
+# ${misc:Depends},
+#Provides:
+# linux-tools,
+#Enhances:
+# ethtool,
+#Description: additional tools for Linux kernel related things
+# This package contains additional tools for the Linux kernel.
 
 #Package: open-infrastructure-vim-tools
 #Section: admin
