=== debian/rules ===
--- 
+++ 
@@ -4,15 +4,6 @@
 
 %:
 	dh ${@} --with apache2
-
-override_dh_auto_build:
-	# disabled
-
-override_dh_auto_clean:
-	for PACKAGE in $(PACKAGES); \
-	do \
-		$(MAKE) -C $${PACKAGE} clean; \
-	done
 
 override_dh_auto_install:
 	for PACKAGE in $(PACKAGES); \
@@ -24,3 +15,9 @@
 	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/CHANGELOG.txt
 	rm -f debian/open-infrastructure-apache-tools/usr/share/doc/apache-tools/LICENSE.txt
 	-mv debian/open-infrastructure-apache-tools/usr/share/doc/* debian/open-infrastructure-apache-tools/usr/share/doc/open-infrastructure-apache-tools
+
+ifeq (open-infrastructure-linux-tools,$(findstring open-infrastructure-linux-tools,$(PACKAGES)))
+override_dh_installsystemd:
+	dh_installsystemd -p open-infrastructure-linux-tools --no-restart-after-upgrade --no-start --no-stop-on-upgrade
+	dh_installsystemd --remaining-packages
+endif
