## open-infrastructure-service-tools 20221122

=== debian/changelog ===
open-infrastructure-service-tools (20221122-3) sid; urgency=medium

  * Uploading to sid.
  * Reverting downgrade of apache2 depends to suggests (Closes: #1029436).
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 23 Jan 2023 09:37:07 +0100

open-infrastructure-service-tools (20221122-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Downgrading apache2-data depends to suggests.
  * Adding missing breaks and replaces for apache-tools package renaming
    (Closes: #1028060).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Jan 2023 14:30:31 +0100

open-infrastructure-service-tools (20221122-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221122.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 22 Nov 2022 15:37:18 +0100

open-infrastructure-service-tools (20221108-2) sid; urgency=medium

  * Uploading to sid.
  * Renaming apache-tools package to service-tools to avoid future micro-
    packaging by using one consistent name for the binary package.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Nov 2022 15:51:59 +0100

open-infrastructure-service-tools (20221108-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221108.
  * Adding preseeding for preferred-chain in dehydrated.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 15 Nov 2022 11:46:45 +0100

open-infrastructure-service-tools (20221101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221101.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 31 Oct 2022 10:32:56 +0100

open-infrastructure-service-tools (20221030-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221030.
  * Updating http links to https in copyright.
  * Updating control for kea-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Oct 2022 13:58:43 +0100
