=== debian/control ===
--- 
+++ 
@@ -9,26 +9,42 @@
  librsvg2-bin,
  python3-docutils,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://open-infrastructure.net/software/service-tools
 Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
 Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/open-infrastructure-service-tools
 
-Package: open-infrastructure-apache-tools
+Package: open-infrastructure-service-tools
 Section: admin
 Architecture: all
 Depends:
  apache2-data,
  ${misc:Depends},
-Provides:
- apache-tools,
+Breaks:
+ open-infrastructure-apache-tools (<< 20221108-2),
+Replaces:
+ open-infrastructure-apache-tools,
 Enhances:
  apache2,
-Description: additional tools for Apache HTTP server
- This package contains additional tools for the Apache HTTP server:
+Description: additional tools to ease system administration and integration
+ This package contains some usefull tools, e.g.:
  .
    * alternative icons for Apache autoindex (Tango Icons and Font Awesome
      based themes)
+
+Package: open-infrastructure-apache-tools
+Section: oldlibs
+Priority: extra
+Architecture: all
+Depends:
+ open-infrastructure-service-tools,
+ ${misc:Depends},
+Description: additional tools for Apache HTTP server (transitional package)
+ Package to ease upgrading from older open-infrastructure-apache-tools package
+ to the new open-infrastructure-service-tools package.
+ .
+ This package can be purged at anytime once the open-infrastructure-service-tools
+ package has been installed.
 
 #Package: open-infrastructure-dehydrated-tools
 #Section: admin
@@ -83,6 +99,19 @@
 #Description: additional tools for irker IRC notification daemon
 # This package contains additional tools for the irker IRC notification daemon:
 
+#Package: open-infrastructure-kea-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# kea,
+# ${misc:Depends},
+#Provides:
+# kea-tools,
+#Enhances:
+# kea,
+#Description: additional tools for kea DHCP server
+# This package contains additional tools for the kea DHCP server.
+
 #Package: open-infrastructure-knot-tools
 #Section: admin
 #Architecture: all
