## open-infrastructure-service-tools 20221223

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,11 @@
 
 SHELL := sh -e
 
+PROJECT = open-infrastructure
+SOFTWARE = service-tools
+
 VERSION := $(shell cat VERSION.txt)
+
 TOOLS := $(shell find . -mindepth 1 -maxdepth 1 -type d -and -not -name ".*" -and -not -name debian)
 
 all: build
@@ -65,7 +69,7 @@
 	done
 
 distclean:
-	rm -rf service-tools-$(VERSION)
+	rm -rf $(SOFTWARE)-$(VERSION)
 
 	@for TOOL in $(TOOLS); \
 	do \
@@ -80,19 +84,19 @@
 	git commit -a -s -S -m 'Releasing version $(VERSION).' || true
 	git tag -s -m 'Tagging version $(VERSION).' v$(VERSION) || true
 
-	mkdir service-tools-$(VERSION)
-	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name service-tools-$(VERSION) -exec cp \-a {} service-tools-$(VERSION) \;
+	mkdir $(SOFTWARE)-$(VERSION)
+	find . -mindepth 1 -maxdepth 1 -and -not -name ".git*" -and -not -name debian -and -not -name $(SOFTWARE)-$(VERSION) -exec cp \-a {} $(SOFTWARE)-$(VERSION) \;
 
 	for FORMAT in xz lzip; \
 	do \
 		EXTENSION=$$(echo $${FORMAT} | cut -b-2); \
-		tar --$${FORMAT} -cf ../service-tools-$(VERSION).tar.$${EXTENSION} service-tools-$(VERSION); \
-		sha512sum ../service-tools-$(VERSION).tar.$${EXTENSION} > ../service-tools-$(VERSION).tar.$${EXTENSION}.sha512; \
-		gpg --default-key 0xB62C61A10B93195F --armor -b ../service-tools-$(VERSION).tar.$${EXTENSION}; \
-		mv ../service-tools-$(VERSION).tar.$${EXTENSION}.asc ../service-tools-$(VERSION).tar.$${EXTENSION}.sig; \
+		tar --$${FORMAT} -cf ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} $(SOFTWARE)-$(VERSION); \
+		sha512sum ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION} > ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sha512; \
+		gpg --default-key 0xB62C61A10B93195F --armor -b ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}; \
+		mv ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.asc ../$(SOFTWARE)-$(VERSION).tar.$${EXTENSION}.sig; \
 	done
 
-	rm -rf service-tools-$(VERSION)
+	rm -rf $(SOFTWARE)-$(VERSION)
 
 upload:
-	scp ../service-tools-$(VERSION).* get.open-infrastructure.net:/srv/get.open-infrastructure.net/software/service-tools/upstream
+	scp ../$(SOFTWARE)-$(VERSION).* get.open-infrastructure.net:/srv/get.open-infrastructure.net/software/$(SOFTWARE)/upstream
