=== apache/Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
 PROGRAM = apache-icons
 
 all: build
+
+test:
 
 build: share/man/*.rst
 	$(MAKE) -C share/man
