=== debian/changelog ===
open-infrastructure-service-tools (20221223-2) sid; urgency=medium

  * Uploading to sid.
  * Updating control for apt-tools.
  * Updating control for znuny-tools.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Mar 2023 20:27:19 +0100

open-infrastructure-service-tools (20221223-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221223.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 28 Feb 2023 19:00:15 +0100
