=== debian/control ===
--- 
+++ 
@@ -45,6 +45,19 @@
  .
  This package can be purged at anytime once the open-infrastructure-service-tools
  package has been installed.
+
+#Package: open-infrastructure-apt-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# apt,
+# ${misc:Depends},
+#Provides:
+# apt-tools,
+#Enhances:
+# apt,
+#Description: additional tools for apt
+# This package contains additional tools for apt.
 
 #Package: open-infrastructure-dehydrated-tools
 #Section: admin
@@ -164,3 +177,16 @@
 # vim,
 #Description: additional tools for vim text editor
 # This package contains additional tools for the vim text editor.
+
+#Package: open-infrastructure-znuny-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# znuny,
+# ${misc:Depends},
+#Provides:
+# znuny-tools,
+#Enhances:
+# znuny,
+#Description: additional tools for znuny ticketing system
+# This package contains additional tools for the znuny ticketing system.
