## open-infrastructure-service-tools 20221227

=== debian/changelog ===
open-infrastructure-service-tools (20221227-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221227.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 27 Jun 2023 11:24:22 +0200

open-infrastructure-service-tools (20221226-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221226.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 20 Jun 2023 06:29:08 +0200

open-infrastructure-service-tools (20221225-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221225.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 19 Jun 2023 07:43:09 +0200

open-infrastructure-service-tools (20221224-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221224.
  * Adding old package name in depends for znuny.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 17 Jun 2023 14:58:07 +0200
