=== debian/control ===
--- 
+++ 
@@ -182,11 +182,11 @@
 #Section: admin
 #Architecture: all
 #Depends:
-# znuny,
+# znuny | otrs2,
 # ${misc:Depends},
 #Provides:
 # znuny-tools,
 #Enhances:
-# znuny,
+# znuny | otrs2,
 #Description: additional tools for znuny ticketing system
 # This package contains additional tools for the znuny ticketing system.
