## open-infrastructure-service-tools 20221228

=== debian/changelog ===
open-infrastructure-service-tools (20221228-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221228.
  * Adding supermicro-tools in control.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 20 Sep 2023 15:19:31 +0200
