=== debian/control ===
--- 
+++ 
@@ -165,6 +165,19 @@
 #Description: additional tools for Linux kernel related things
 # This package contains additional tools for the Linux kernel.
 
+#Package: open-infrastructure-supermicro-tools
+#Section: admin
+#Architecture: all
+#Depends:
+# supermicro-ipmicfg,
+# ${misc:Depends},
+#Provides:
+# supermicro-tools,
+#Enhances:
+# supermicro-ipmicfg,
+#Description: additional tools for Supermicro servers
+# This package contains additional tools for Supermicro servers.
+
 #Package: open-infrastructure-vim-tools
 #Section: admin
 #Architecture: all
